public class bus 
{
vehicle v;	

public bus(String i_marka,double i_motor,String i_renk,double i_agirlik)
{v=new vehicle("bus",i_marka,i_motor,i_renk,i_agirlik);}

public bus()
{ v=new vehicle();
  v.vehicletype="bus";
}
public bus(bus A)
{v=new vehicle(A.v);
 v.vehicletype="bus";
}

}